summaryrefslogtreecommitdiff
path: root/os/dos/make_dos_binary_selfcontained.sh
diff options
context:
space:
mode:
authorrubidium <rubidium@openttd.org>2008-11-26 13:12:45 +0000
committerrubidium <rubidium@openttd.org>2008-11-26 13:12:45 +0000
commit5dd4735da1b08170c36c004d439e6484f7cd2715 (patch)
treec580b06966266044ef5c0a54b557d872556e989d /os/dos/make_dos_binary_selfcontained.sh
parentb0a9ce2d9a71e5d53e78ccaac3fae5bf79f76a91 (diff)
downloadopenttd-5dd4735da1b08170c36c004d439e6484f7cd2715.tar.xz
(svn r14636) -Add: DOS port of OpenTTD, without network support though.
Diffstat (limited to 'os/dos/make_dos_binary_selfcontained.sh')
-rwxr-xr-xos/dos/make_dos_binary_selfcontained.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/os/dos/make_dos_binary_selfcontained.sh b/os/dos/make_dos_binary_selfcontained.sh
new file mode 100755
index 000000000..de4bdb9dd
--- /dev/null
+++ b/os/dos/make_dos_binary_selfcontained.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+cd `dirname $0`
+cc -o exe2coff exe2coff.c || exit
+cp $1 binary.exe || exit
+./exe2coff binary.exe || exit
+cat cwsdstub.exe binary > binary.exe || exit
+mv binary.exe $1
+rm binary exe2coff